	var xmlhttp = false;
	var currentPos = null;

//开始初始化XMLHttpRequest对象
	if(window.XMLHttpRequest)
	{
		//Mozilla 浏览器
		xmlhttp = new XMLHttpRequest();
		if (xmlhttp.overrideMimeType) {//设置MiME类别
			xmlhttp.overrideMimeType('text/xml');
		}
	}
	else if (window.ActiveXObject) 
	{ 
		// IE浏览器
		try {
			xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e) {
			try {
				xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e) {}
		}
	}
	
	function send_request(url, data)
	{ 
		//初始化、指定处理函数、发送请求的函数
		if (!xmlhttp) { // 异常，创建对象实例失败
			window.alert("不能创建XMLHttpRequest对象实例.");
			return false;
		}

		// 确定发送请求的方式和URL以及是否同步执行下段代码
		xmlhttp.open("POST", url, true);
		xmlhttp.onreadystatechange = processRequest;
		xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlhttp.send("username=" + data);
	}

	// 处理返回信息的函数
	function processRequest()
	{
        if (xmlhttp.readyState == 4) { // 判断对象状态
            if (xmlhttp.status == 200) { // 信息已经成功返回，开始处理信息
				if(xmlhttp.responseText == "no"){
               document.getElementById("checkuser").innerHTML="<font color=\"#FF0000\">用户名已存在！</font>";
				}else
				{
               document.getElementById("checkuser").innerHTML="<font color=\"#00CC00\">该用户名可以使用！</font>";
					}
            } else { //页面不正常
                alert("您所请求的页面有异常。");
            }
        }
	}

	function userCheck() 
	{
		var f = document.form1;
		var username = f.Name.value;
		if(username=="") {
			document.getElementById("checkuser").innerHTML="<font color=\"#FF0000\">用户名不能为空!</font>";
			return false;
		}
		else {
			send_request('reg.php?type=check', username);
		}
	}
	function PwdCheck() 
	{
		var f = document.form1;
		var Pwd = f.Pwd.value;
		var RePwd = f.RePwd.value;
		if( Pwd !== RePwd ) {
			document.getElementById("checkpwd").innerHTML="<font color=\"#FF0000\">两次密码输入不一致!</font>";
		}else
		{
            document.getElementById("checkpwd").innerHTML="<font color=\"#00CC00\">两次密码输入一致！</font>";
		}
	}
